Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007966Dwarf FortressAdventure Mode -- Sitespublic2014-08-11 17:322017-06-01 21:02
Reportersmjjames 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformWindows 8OSOS Version
Product Version0.40.08 
Target VersionFixed in Version0.44.01 
Summary0007966: Kobold cave with no Kobolds or scattered loot
DescriptionI decided to visit a kobold cave which, according to legends viewer, has 877 Kobolds, but it's completely empty, no kobolds, not even any scattered loot and trinkets.

I did give kobolds normal speech, but that shouldn't have affected anything....
Steps To ReproduceRandom? I don't really know.
Additional InformationSavefile: http://dffd.wimbli.com/file.php?id=9363 [^] I'm at the cave on the surface.
Tagsadventurer mode, Cave, kobold, site
Attached Files

- Relationships

-  Notes
(0028847)
smjjames (reporter)
2014-08-11 17:33
edited on: 2014-08-11 17:34

Edit: Actually, the title should be clarified to Kobold cave that is supposed to have kobolds has none, no loot either. Unless you guys think the title makes enough sense.

(0032275)
chaosvolt (reporter)
2015-02-21 13:13

Still seeing this bug. Tested by modding in adventurer kobolds, consistent lack of fellow kobolds. Relationship screen will also show that I know several kobolds that can't ever be found.
(0033139)
chaosvolt (reporter)
2015-10-28 07:48

Highly belatedly, I found a small workaround. Kobolds are the only civilization to have NO positions. Neither per-defined ones nor generated via entity tokens.

Adding a basic site-level "chieftain" position causes the cave to be surrounded by tents, with military kobolds inhabiting the general area. Modded-in kobold adventurers will also be able to actually find the people on their relationship screen.

Sadly, all of the kobolds I've seen via this method are duty-bound and can't be recruited.
(0033142)
Detros (manager)
2015-10-28 12:01

Heh, when you added adventurer kobolds, chaosvolt, none was home because all those kobolds started adventuring and journeyed to far countries.
(0033147)
chaosvolt (reporter)
2015-10-29 21:17

Then again, adventurer kobolds do have MORE issues to deal with. Obviously their entity has to be modded to allow you to play them, plus I'm quite certain you have to suppliment the utterances tag with intelligent or they'll implode in glorious lunacy.
(0036569)
chaosvolt (reporter)
2017-05-28 10:01

Toady said in latest dev post that he's working on making kobold caves work with artifact retrieval. Any word on relation to this bug?

- Issue History
Date Modified Username Field Change
2014-08-11 17:32 smjjames New Issue
2014-08-11 17:33 smjjames Note Added: 0028847
2014-08-11 17:34 smjjames Note Edited: 0028847 View Revisions
2015-02-21 13:13 chaosvolt Note Added: 0032275
2015-02-21 13:23 chaosvolt Tag Attached: adventurer mode
2015-02-21 13:23 chaosvolt Tag Attached: Cave
2015-02-21 13:23 chaosvolt Tag Attached: site
2015-02-21 13:23 chaosvolt Tag Attached: kobold
2015-02-21 14:08 chaosvolt Issue Monitored: chaosvolt
2015-10-28 07:48 chaosvolt Note Added: 0033139
2015-10-28 12:01 Detros Note Added: 0033142
2015-10-29 21:17 chaosvolt Note Added: 0033147
2017-05-28 10:01 chaosvolt Note Added: 0036569
2017-06-01 21:02 Toady One Status new => resolved
2017-06-01 21:02 Toady One Fixed in Version => Next Version
2017-06-01 21:02 Toady One Resolution open => fixed
2017-06-01 21:02 Toady One Assigned To => Toady One
2017-06-03 00:44 chaosvolt Issue End Monitor: chaosvolt


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker